# Draw
TKDCAF
DDF

# DDF_TransactionStack Class Reference

`#include <DDF_TransactionStack.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DDF_TransactionStack ()
Standard_EXPORT const DDF_TransactionStack & | Assign (const DDF_TransactionStack &Other)
const DDF_TransactionStack & | operator= (const DDF_TransactionStack &Other)
Standard_Boolean | IsEmpty () const
Standard_Integer | Depth () const
Standard_EXPORT const Handle_DDF_Transaction & | Top () const
Standard_EXPORT void | Push (const Handle(DDF_Transaction)&I)
Standard_EXPORT void | Pop ()
Standard_EXPORT void | Clear ()
| ~DDF_TransactionStack ()
Standard_EXPORT Handle_DDF_Transaction & | ChangeTop ()

## Private Member Functions

Standard_EXPORT | DDF_TransactionStack (const DDF_TransactionStack &Other)

## Private Attributes

Standard_Address | myTop
Standard_Integer | myDepth

## Constructor & Destructor Documentation

Standard_EXPORT DDF_TransactionStack::DDF_TransactionStack | ( |  | ) |

DDF_TransactionStack::~DDF_TransactionStack | ( |  | ) | `[inline]`

Standard_EXPORT DDF_TransactionStack::DDF_TransactionStack | ( | const DDF_TransactionStack & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const DDF_TransactionStack& DDF_TransactionStack::Assign | ( | const DDF_TransactionStack & | Other | ) |

Standard_EXPORT Handle_DDF_Transaction& DDF_TransactionStack::ChangeTop | ( |  | ) |

Standard_EXPORT void DDF_TransactionStack::Clear | ( |  | ) |

Standard_Integer DDF_TransactionStack::Depth | ( |  | ) | const

Standard_Boolean DDF_TransactionStack::IsEmpty | ( |  | ) | const

void DDF_TransactionStack::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DDF_TransactionStack::operator new | ( | size_t | size | ) | `[inline]`

void* DDF_TransactionStack::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const DDF_TransactionStack& DDF_TransactionStack::operator= | ( | const DDF_TransactionStack & | Other | ) | `[inline]`

Standard_EXPORT void DDF_TransactionStack::Pop | ( |  | ) |

Standard_EXPORT void DDF_TransactionStack::Push | ( | const Handle(DDF_Transaction)& | I | ) |

Standard_EXPORT const Handle_DDF_Transaction& DDF_TransactionStack::Top | ( |  | ) | const

## Field Documentation

Standard_Integer DDF_TransactionStack::myDepth `[private]`

Standard_Address DDF_TransactionStack::myTop `[private]`

The documentation for this class was generated from the following file:

- DDF_TransactionStack.hxx